<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Habit Details') }}
        </h2>
    </x-slot>

    <div class="py-6">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-md sm:rounded-lg">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                    {{ $habit->name }}
                </div>
            </div>
        </div>

        <div class="py-6">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-md sm:rounded-lg">
                    <div class="p-6 text-gray-900 dark:text-gray-100">
                        <table class="table-auto text-left text-gray-700 dark:text-gray-400">
                            <thead class="text-gray-900 bg-gray-100 dark:bg-gray-700 dark:text-gray-200">
                            <tr>
                                <th scope="col" class="px-4 py-2">
                                    Value
                                </th>
                                <th scope="col" class="px-4 py-2">
                                    Date
                                </th>
                                <th scope="col" class="px-6 py-2">
                                    Note
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($entries as $entry)
                                <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 even:bg-gray-50 hover:bg-gray-100 dark:hover:bg-gray-600">
                                    <td class="px-4 py-2">
                                        @if($habit->type === 'todo')
                                            @if($entry->value == 0)
                                                Not done
                                            @else
                                                Done
                                            @endif
                                        @else
                                           {{$entry->value . $habit->suffix}}
                                        @endif

                                    </td>
                                    <td class="text-left px-4 py-2">
                                        {{$entry->date}}
                                    </td>
                                    <td class="px-4 py-2">
                                        {{$entry->note}}
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
</x-app-layout>
